Foreman - Bug #6658

creating compute resource with name more than 245 chars fails

07/17/2014 02:56 AM - Ori Rabin

Status: Duplicate
Priority: Normal

Assignee: Ori Rabin
Category: Database

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/1595
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1120271
Description of problem:

Creating a compute resource name with 245 chars fails with the below error.

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "compute_resources" ("attrs", "created_at",
"description”, "name", "password", "type", "updated_at", "url", "user", "uuid") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10)

RETURNING "id"

| believe the actual limit is 255 chars and anything from 256 chars should fail.

Version-Release number of selected component (if applicable):
How reproducible:

Steps to Reproduce:

2

3.

Actual results:
compute resource name with 245 chars fails

Expected results:

compute resource name with upto 255 chars should be possible.
Additional info:

Related issues:

Related to Foreman - Bug #6712: PGError when media name exceeds 255 characters
Related to Foreman - Bug #6636: Audit log field too small - PGError while cre...
Related to Foreman - Bug #4153: Model validation error

Is duplicate of Foreman - Bug #6694: PGError: while creating OS with long (gr...

Duplicate
Closed
Duplicate
Closed

07/22/2014
07/16/2014
01/21/2014
07/20/2014

History

#1 - 07/17/2014 02:56 AM - Ori Rabin

- Assignee set to Ori Rabin

#2 - 07/17/2014 02:57 AM - Ori Rabin

- Status changed from New to Assigned

#3 - 07/17/2014 06:26 AM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1120271

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1595 added
- Pull request deleted ()

#4 - 07/21/2014 04:14 AM - Dominic Cleal

- Category set to Database

#5 - 07/24/2014 06:59 AM - Dominic Cleal
- Related to Bug #6712: PGError when media name exceeds 255 characters added

#6 - 07/24/2014 07:01 AM - Dominic Cleal
- Related to Bug #6636: Audit log field too small - PGError while creating OS with 255 characters in name added

#7 - 07/24/2014 07:01 AM - Dominic Cleal
- Related to Bug #4153: Model validation error added

#8 - 07/24/2014 07:02 AM - Dominic Cleal

Architecture name too (https:/bugzilla.redhat.com/show_bug.cgi?id=1122901).

#9 - 07/29/2014 06:20 AM - Dominic Cleal

- Is duplicate of Bug #6694: PGError: while creating OS with long (greater than 5 chars) minor/major version values added

#10 - 07/29/2014 06:20 AM - Dominic Cleal

- Status changed from Ready For Testing to Duplicate
- Target version deleted (1.8.0)

- Bugzilla link deleted (1120271)
